#!/bin/sh
# *******************************************************************************
#  Licencované materiály - vlastnictví IBM
#  (c) Copyright IBM Corporation 2011. Všechna práva vyhrazena.
#
#  Omezená práva uživatelů z řad amerických vládních institucí:
#  Použití, kopírování a zveřejnění je omezeno v souladu se smlouvou GSA ADP
#  Schedule Contract se společností IBM Corp.
#  *******************************************************************************

# ################################################################################
#
# Soubor pro zprávy, jež zobrazují skripty automatického provedení upgradu.
#
# ################################################################################


# *********************
# * Funkce zpráv *
# *********************
messages() {

case $1 in 

# *********************************
# * Zprávy počáteční verifikace   *
# *********************************

INVALID_LAUNCH )
echo ""
echo "Neprovádějte skript app_upgrade přímo. Chcete-li provést upgrade JTS nebo aplikace, spusťte jeden z těchto příkazů:"
echo "    ccm_upgrade"
echo "    jts_upgrade"
echo "    qm_upgrade"
echo "    rm_upgrade"
echo "Úplný popis výše uvedených příkazů získáte pomocí volby -help."
;;

INVALID_START_DIR )
echo ""
echo "S výjimkou spuštění s parametrem -help skript $2 nesmí být spuštěn z jiného adresáře než $3"
echo ""
;;


SHOW_PARAM_FILE_NAME )
echo ""
echo "Soubor '$2' obsahuje hodnoty parametrů pro skript pro přechod na vyšší verzi."
echo "Potřebujete-li upravit libovolnou z výchozích hodnot parametrů, můžete provést úpravu těchto souborů nebo můžete hodnoty parametrů zadat jako argumenty příkazového řádku pro skripty pro přechod na vyšší verzi."
echo ""
;;

SHOW_PARAM_FILE_NAMES_LIST )
echo ""
echo "Následující sada souborů obsahuje výchozí hodnoty parametrů pro přechod na vyšší verzi aplikace nebo serveru JTS. Potřebujete-li upravit libovolnou z výchozích hodnot parametrů, můžete provést úpravu těchto souborů nebo můžete hodnoty parametrů zadat jako argumenty příkazového řádku pro skripty pro přechod na vyšší verzi."
echo "- Přechod na vyšší verzi CCM: $2/params/ccm_params$3.sh"
echo "- Přechod na vyšší verzi QM:  $2/params/qm_params$3.sh"
echo "- Přechod na vyšší verzi RM:  $2/params/rm_params$3.sh"
echo "- Přechod na vyšší verzi JTS: $2/params/jts_params$3.sh"
echo ""
;;


# ************************************
# * Zprávy verifikace platnosti parametrů *
# ************************************

# Vnitřní verifikace
# ======================

MISSING_APP_TYPE )
echo ""
echo "Nebyl určen typ aplikace nebo JTS. Chcete-li provést upgrade JTS nebo aplikace, spusťte jeden z těchto příkazů:"
echo "    ccm_upgrade"
echo "    jts_upgrade"
echo "    qm_upgrade"
echo "    rm_upgrade"
echo "Úplný popis výše uvedených příkazů získáte pomocí volby -help."
echo ""
;;

INVALID_APP_TYPE )
echo ""
echo "$2 není platný typ aplikace nebo JTS. Chcete-li provést upgrade JTS nebo aplikace, spusťte jeden z těchto příkazů:"
echo "    ccm_upgrade"
echo "    jts_upgrade"
echo "    qm_upgrade"
echo "    rm_upgrade"
echo "Úplný popis výše uvedených příkazů získáte pomocí volby -help."
echo ""
;;

MISSING_PARAM_VALUE )
echo ""
echo "Chybí hodnota parametru $2."
echo "Úplný popis parametrů získáte pomocí volby -help."
echo ""
;;

INVALID_PARAM_DIR )
echo ""
echo "Adresář $3, který byl zadán v parametru $2, neexistuje nebo je neplatný."
echo "Úplný popis parametrů získáte pomocí volby -help."
echo ""
;;

RELATIVE_PARAM_DIR )
echo ""
echo "Adresář $3 zadaný pro parametr $2 musí být určen jako absolutní cesta."
echo "Úplný popis parametrů získáte pomocí volby -help."
echo ""
;;

INVALID_PARAM_FILE )
echo ""
echo "Soubor $3, který byl zadán v parametru $2, neexistuje nebo je neplatný."
echo "Úplný popis parametrů získáte pomocí volby -help."
echo ""
;;

INVALID_PARAM_VALUE )
echo ""
echo "$3 je neplatná hodnota parametru $2."
echo "Úplný popis parametrů získáte pomocí volby -help."
echo ""
;;

INVALID_PARAM )
echo ""
echo "$2 je neplatný parametr."
echo "Úplný popis parametrů získáte pomocí volby -help."
echo ""
;;


# Vnější verifikace
# ======================

MISSING_HOME_PARAM )
echo ""
echo "Chybí parametr domovského adresáře $2."
echo "Úplný popis parametrů získáte pomocí volby -help."
echo ""
;;

DIR_NOT_FOUND )
echo ""
echo "Adresář $2 neexistuje nebo je neplatný."
echo ""
;;

CMD_NOT_FOUND_2X_APP )
echo ""
echo "Nebyl nalezen příkaz aplikace repotools '$2'."
echo ""
echo "Ověřte, že parametr -oldApplicationHome '$3' ukazuje na původní konfigurační adresář serveru, například 'JazzInstallRoot/server/conf'."
echo ""
;;

CMD_NOT_FOUND_OLD_APP )
echo ""
echo "Nelze nalézt příkaz repotools aplikace '$2'."
echo ""
echo "Ověřte, zda parametr -oldApplicationHome '$3' ukazuje na starý konfigurační adresář serveru, například 'JazzInstallRoot/server/conf', a dále ověřte správnost parametru jtsContextRoot '$4'."
echo ""
;;

TSP_NOT_FOUND_2X_APP )
echo ""
echo "Nebyl nalezen konfigurační soubor '$2'."
echo ""
echo "Ověřte, že parametr -oldApplicationHome '$3' ukazuje na původní konfigurační adresář serveru, například 'JazzInstallRoot/server/conf'."
echo ""
;;

TSP_NOT_FOUND_OLD_APP )
echo ""
echo "Nebyl nalezen konfigurační soubor '$2'."
echo ""
echo "Ověřte, zda parametr -oldApplicationHome '$3' ukazuje na starý konfigurační adresář serveru, například 'JazzInstallRoot/server/conf', a dále ověřte správnost parametru jtsContextRoot '$4'."
echo ""
;;

CMD_NOT_FOUND_NEW_APP )
echo ""
echo "Nelze nalézt příkaz repotools aplikace '$2'."
echo ""
echo "Ověřte, zda parametr -newApplicationHome '$3' ukazuje na nový konfigurační adresář aplikačního serveru, například 'JazzInstallRoot/server/conf', a dále ověřte správnost parametru jtsContextRoot '$4'."
echo "Provádíte-li upgrade z předchozí verze, zajistěte výběr správných kontextových kořenových adresářů. Například, pokud používáte produkt Installation Manager, musíte na panelu "Volby kontextového kořenového adresáře" vybrat volbu kontextový kořenový adresář $5. Pokud jste náhodou vybrali jinou volbu, musíte produkt přeinstalovat s volbou kontextový kořenový adresář $5."
echo ""
;;

TSP_NOT_FOUND_NEW_APP )
echo ""
echo "Nebyl nalezen konfigurační soubor '$2'."
echo ""
echo "Ověřte, zda parametr -newApplicationHome '$3' ukazuje na nový konfigurační adresář serveru JTS, například 'JazzInstallRoot/server/conf', a dále ověřte správnost parametru jtsContextRoot '$4'."
echo "Provádíte-li upgrade z předchozí verze, zajistěte výběr správných kontextových kořenových adresářů. Například, pokud používáte produkt Installation Manager, musíte na panelu "Volby kontextového kořenového adresáře" vybrat volbu kontextový kořenový adresář $5. Pokud jste náhodou vybrali jinou volbu, musíte produkt přeinstalovat s volbou kontextový kořenový adresář $5."
echo ""
;;

CMD_NOT_FOUND_OLD_JTS )
echo ""
echo "Nelze nalézt příkaz repotools JTS '$2'."
echo ""
echo "Ověřte, zda parametr -oldJTSHome '$3' ukazuje na starý konfigurační adresář serveru JTS, například 'JazzInstallRoot/server/conf', a dále ověřte správnost parametru jtsContextRoot '$4'."
echo ""
;;

TSP_NOT_FOUND_OLD_JTS )
echo ""
echo "Nebyl nalezen konfigurační soubor '$2'."
echo ""
echo "Ověřte, zda parametr -oldJTSHome '$3' ukazuje na starý konfigurační adresář serveru JTS, například 'JazzInstallRoot/server/conf', a dále ověřte správnost parametru jtsContextRoot '$4'."
echo ""
;;

CMD_NOT_FOUND_NEW_JTS )
echo ""
echo "Nelze nalézt parametr repotools JTS '$2'."
echo ""
echo "Ověřte, zda parametr -newJTSHome '$3' ukazuje na nový konfigurační adresář serveru JTS, například 'JazzInstallRoot/server/conf', a dále ověřte správnost parametru jtsContextRoot '$4'."
echo ""
;;

TSP_NOT_FOUND_NEW_JTS )
echo ""
echo "Nebyl nalezen konfigurační soubor '$2'."
echo ""
echo "Ověřte, zda parametr -newJTSHome '$3' ukazuje na nový konfigurační adresář serveru JTS, například 'JazzInstallRoot/server/conf', a dále ověřte správnost parametru jtsContextRoot '$4'."
echo ""
;;

MISSING_IMPORT_FROM_FILE )
echo ""
echo "Pro upgrade na verzi $2 je zapotřebí soubor TAR obsahující data verze 2.x."
echo "Úplný popis parametrů získáte pomocí volby -help."
echo ""
;;


# **********************
# * Zprávy provedení *
# **********************

BANNER_jts )
echo ""
echo ""
echo "==========================================="
echo "=== Upgrade JTS z verze $2 na 3.0.1.2  ==="
echo "==========================================="
echo ""
;;

BANNER_ccm )
echo ""
echo ""
echo "================================================"
echo "=== Upgrade CCM z verze $2 na verzi 3.0.1.2 ==="
echo "================================================"
echo ""
;;

BANNER_qm )
echo ""
echo ""
echo "==========================================="
echo "===  Upgrade QM z verze $2 na 3.0.1.2  ==="
echo "==========================================="
echo ""
;;

BANNER_rm )
echo ""
echo ""
echo "==========================================="
echo "===  Upgrade RM z verze $2 na 3.0.1.2  ==="
echo "==========================================="
echo ""
;;


# *********************
# * Přepínač prvního kroku *
# *********************

INITIAL_STEP_FAILED )
echo ""
echo "Poslední provedení se nezdařilo v prvním kroku..."
;;

LAST_STEP_FAILED )
echo ""
echo "Poslední provedení se nezdařilo v kroku $2..."
echo "Chcete spustit upgrade od tohoto nebo od předchozího kroku?"
;;

ALREADY_RUN )
echo ""
echo "Upgrade již byl proveden a úspěšně dokončen..."
echo "Chcete znovu spustit nový upgrade ve specifickém kroku?"
;;

LAST_STEP_PASSED )
echo ""
echo "Poslední provedení bylo úspěšně zastaveno v kroku $2..."
echo "Chcete provést opětovné spuštění upgradu v aktuálním kroku $3 nebo v předchozím kroku?"
;;

ENTER_NEXT_STEP )
echo ""
echo "Zadejte číslo kroku [$2-$3], v němž chcete spustit upgrade nebo operaci zrušte stisknutím klávesy [Enter]:"
;;

INTEGER_STEP_NUMBER )
echo ""
echo "'$2' není číslo. Zadejte platné číslo kroku."
;;

INVALID_STEP_NUMBER )
echo ""
echo "'$2' je neplatné číslo kroku. Zadejte platné číslo kroku."
;;

MAX_STEP_NUMBER )
echo ""
echo "Posledním krokem je krok $2, proto není možné znovu spustit upgrade od kroku $3."
;;

NUM_MAX_STEP_NUMBER )
echo ""
echo "Ještě nebyl proveden krok $2, proto nelze znovu spustit upgrade od kroku $3."
;;


# **********************
# * Zprávy pro kroky *
# **********************

STEP_0_IBMi )
echo "Krok 0: Zrušit tabulky"
echo "----------------------"
;;

STEP_0 )
echo "Krok 0: Aktualizovat konfigurační soubory"
echo "-----------------------------------------"
;;

STEP_1_ADD )
echo "Krok 1: Přidat tabulky"
echo "----------------------"
;;

STEP_1_IMPORT )
echo "Krok 1: Importovat data verze $2"
echo "------------------------------------------"
;;

STEP_2_EXPORT_USER_INFO )
echo "Krok 2: Exportovat informace o uživatelích z databáze aplikace"
echo "--------------------------------------------------------------"
;;

STEP_2_COPY_TEXT_INDICES )
echo "Krok 2: Kopírovat textové indexy"
echo "--------------------------------"
;;

STEP_2_UPGRADE_DATA_WAREHOUSE )
echo "Krok 2: Upgrade schématu datového skladu"
echo "----------------------------------------"
;;

STEP_3_IMPORT_USER_INFO )
echo "Krok 3: Importovat informace o uživateli do databáze"
echo "----------------------------------------------------"
;;

STEP_3_UPGRADE_DATA_WAREHOUSE )
echo "Krok 3: Upgrade schématu datového skladu"
echo "----------------------------------------"
;;

STEP_4 )
echo "Krok 4: Importovat informace o uživateli do databáze aplikace"
echo "-------------------------------------------------------------"
;;

STEP_5 )
echo "Krok $2: Znovu sestavit textové indexy"
echo "-------------------------------------"
;;

STEP_6 )
echo "Krok $2: Znovu vytvořit indexy dotazů a hledání"
echo "----------------------------------------------"
;;

OVERALL_MIGRATION_FAILED )
echo ""
echo "Upgrade $2 se nezdařil v kroku $3. Opravte problém a spusťte skript znovu od kroku $3."
echo ""
;;

OVERALL_MIGRATION_SUCCESS_JTS )
echo ""
echo "Upgrade $2 byl úspěšně proveden. Spusťte server a pomocí průvodce nastavením JTS ověřte konfiguraci JTS. Nyní můžete rovněž ve vašem prostředí provést upgrade aplikací."
echo ""
;;

OVERALL_MIGRATION_SUCCESS_RM )
echo ""
echo "Část upgradu $2 v režimu offline byla provedena úspěšně. Spusťte server a přejděte do průvodce migrací $2, abyste dokončili migraci online."
echo ""
;;

OVERALL_MIGRATION_SUCCESS_CCM_QM )
echo ""
echo "Aktualizace $2 proběhla úspěšně. Spusťte servery ve své implementaci. Pokud nebyl nakonfigurován JTS, použijte průvodce nastavením, abyste nakonfigurovali JTS a zaregistrovali aplikaci. Jinak zaregistrujte aplikaci na stránce administrace serveru JTS."
echo ""
;;

# *******************************
# * Zprávy při provádění kroku *
# *******************************

STEP_DIR_CMD )
echo ""
echo "Adresář: $2"
echo "Příkaz:"
;;

ENTER_STEP_ACTION )
echo "Stisknutím klávesy [E] provedete tento krok, stisknutím klávesy [S] jej přeskočíte a stisknutím klávesy [Enter] zrušíte provádění skriptu:"
;;

INVALID_STEP_ACTION )
echo ""
echo "'$2' je neplatnou položkou, povoleny jsou pouze klávesy 'E', 'S' nebo 'Enter'"
echo ""
;;

EDIT_TEAMSERVER_PROPERTIES )
echo ""
echo "Otevře se editor vi, který vám umožní ověřit soubor vlastností teamserver.properties $2."
echo "Ověřte správnost kořenu veřejného identifikátoru URI určeného vlastností com.ibm.team.repository.server.webapp.url."
echo "Ověřte správnost vlastností databáze."
echo "Po dokončení uložte případné změny a zavřete editor, aby mohlo pokračovat provádění skriptu."
echo ""
echo "Přečtěte si téma 'Upgrade serveru Jazz Team Server a aplikací CLM' v Informačním centru."
echo "Zde naleznete informace, které budete potřebovat ke správné konfiguraci jednotlivých vlastností:"
echo "http://publib.boulder.ibm.com/infocenter/clmhelp/v3r0m1/topic/com.ibm.jazz.install.doc/topics/t_update_prepare_config.html"
;;

PAUSE )
echo ""
echo "Zadejte [C], pokud chcete pokračovat v provedení, nebo stiskněte [Enter], pokud chcete provedení skriptu zrušit:"
;;

INVALID_PAUSE_ACTION )
echo ""
echo "'$2' je neplatný vstup, povoleno je pouze 'C' nebo 'Enter'."
echo ""
;;

COPY_INDICES_FAILED )
echo ""
echo "Nezdařilo se zkopírovat textové indexy z '$2' do '$3'."
echo "Ověřte, že je vlastnost com.ibm.team.fulltext.indexLocation"
echo "definována v souboru teamserver.properties."
echo "Ručně zkopírujte textové indexy do tohoto adresáře"
echo "nebo k jejich opětovnému sestavení spusťte nástroje repotool -rebuildTextIndices."
echo ""
;;

# *****************************************
# * Zprávy pro verifikaci veřejných identifikátorů URI *
# *****************************************

MISSING_PUBLIC_URI )
echo ""
echo ""
echo "!!!!!!!!!!!!!!!!!!!!!!!!!!!!!! CHYBA !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!"
echo ""
echo "Není definován veřejný identifikátor URI v souboru"
echo "$3,"
echo "proto není možné zahájit upgrade."
echo ""
echo "V tomto souboru musí být definován jeden veřejný identifikátor URI, a to tímto způsobem:"
echo "https/://hostname.example.com/:port/$2"
echo ""
echo "!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!"
echo ""
echo "Vlastnost Veřejný identifikátor URI com.ibm.team.repository.server.webapp.url musí být přítomna v souboru teamserver.properties."
echo "Přidejte úložiště do souboru 2.x teamserver.properties a nastavte jako hodnotu kořen veřejného identifikátoru URI, který všichni klienti používají k dosažení serveru."
echo "Kořen veřejného identifikátoru URI je nutnou podmínkou řádné funkce vašeho serveru 3.0.1.x. Upgrade se bez této vlastnosti nezdaří."
echo "Další informace naleznete v Informačním centru v tématu 'Plánování vašich veřejných identifikátorů URI' na této adrese:"
echo "http://publib.boulder.ibm.com/infocenter/clmhelp/v3r0m1/topic/com.ibm.jazz.install.doc/topics/c_planning_URLs.html"
echo ""
;;

COMMENTED_PUBLIC_URI )
echo ""
echo ""
echo "!!!!!!!!!!!!!!!!!!!!!!!!!!!!!! CHYBA !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!"
echo ""
echo "Všechny veřejné identifikátory URI definované v souboru"
echo "$3"
echo "jsou označené jako komentáře, proto nelze zahájit upgrade."
echo ""
echo "V tomto souboru musí být definován jeden veřejný identifikátor URI bez znaku komentáře, a to tímto způsobem:"
echo "https/://hostname.example.com/:port/$2"
echo ""
echo "!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!"
echo ""
echo "Vlastnost Veřejný identifikátor URI com.ibm.team.repository.server.webapp.url musí být přítomna v souboru teamserver.properties."
echo "Přidejte úložiště do souboru 2.x teamserver.properties a nastavte jako hodnotu kořen veřejného identifikátoru URI, který všichni klienti používají k dosažení serveru."
echo "Kořen veřejného identifikátoru URI je nutnou podmínkou řádné funkce vašeho serveru 3.0.1.x. Upgrade se bez této vlastnosti nezdaří."
echo "Další informace naleznete v Informačním centru v tématu 'Plánování vašich veřejných identifikátorů URI' na této adrese:"
echo "http://publib.boulder.ibm.com/infocenter/clmhelp/v3r0m1/topic/com.ibm.jazz.install.doc/topics/c_planning_URLs.html"
echo ""
;;

esac

}
