#!/bin/sh
# *******************************************************************************
#  Licensed Materials - Property of IBM
#  (c) Copyright IBM Corporation 2006, 2011. Wszelkie prawa zastrzeżone.
#
#  Note to U.S. Government Users Restricted Rights:
#  Use, duplication or disclosure restricted by GSA ADP Schedule
#  Contract with IBM Corp.
#  *******************************************************************************
# NLS_MESSAGEFORMAT_NONE
# NLS_ENCODING=UTF-8


# #############################################################
# #
# # Zdefiniuj zmienne środowiskowe odpowiadające parametrom
# # skryptu rm_upgrade.sh i ich domyślnym wartościom.
# #
# #===========================================================
# #
# # Ten plik jest odczytywany na początku wykonania skryptu
# # rm_upgrade.sh. Ustawia on po jednej zmiennej
# # środowiskowej dla każdego poprawnego parametru
# # o zdefiniowanej wstępnie wartości domyślnej.
# #
# # Użytkownicy mogą modyfikować wartości domyślne w celu
# # uruchomienia skryptu rm_upgrade.sh z własnymi
# # wartościami, bez konieczności wprowadzania parametrów
# # i ich wartości ręcznie w wierszu komend.
# #
# # Ostrzeżenie:
# # Nie wszystkie zmienne są wymagane dla każdej
# # aplikacji.  Należy przeczytać uważnie każdy komentarz przed
# # zmodyfikowaniem wartości.
# #
# #############################################################

# Parametr: -oldApplicationHome
# Składnia: -oldApplicationHome <ścieżka do katalogu>
# Opis:
# 	Pełna ścieżka do katalogu głównego aplikacji w instalacji 2.x lub 3.0.x.
# Wartość domyślna:
# 	<brak>
# Ograniczenia:
#  - To jest parametr obowiązkowy.
#  - <ścieżka do katalogu> musi być ścieżką do istniejącego katalogu zakończoną łańcuchem server/conf,
#    na przykład /Jazz/IBM/RRC_2.x/jazz/server/conf
#
OLD_APPLICATION_HOME=

# Parametr: -applicationContextRoot
# Składnia: -applicationContextRoot<katalog główny>
# Opis:
# 	Kontekstowy katalog główny aplikacji serwera 2.x lub 3.0.x.
# Wartość domyślna:
# 	rdm (2.x), rm (3.0.1)
# Ograniczenia:
#  - <katalog główny> musi być poprawną nazwą pojedynczego katalogu (bez początkowego ukośnika itp.).
#
APPLICATION_CONTEXT_ROOT=

# Parametr: -oldJTSHome
# Składnia: -oldJTSHome <ścieżka do katalogu>
# Opis:
# 	Pełna ścieżka do katalogu głównego JTS w instalacji 2.x lub 3.0.x.
# Wartość domyślna:
# 	<brak>
# Uwaga:
#     Jeśli wartość zostanie podana, oznacza to, że zostanie przeprowadzona
#     aktualizacja wersji 3.0 do wersji 3.0.1 dla produktów RTC i JTS. W przeciwnym razie, gdy zostanie wykryta aktualizacja
#     tego rodzaju, będzie ona dotyczyć tylko produktu RTC.
# Ograniczenia:
#  - <ścieżka do katalogu> musi być ścieżką do istniejącego katalogu zakończoną łańcuchem server/conf
#  - Parametr jest używany tylko dla aktualizacji aplikacji RM i serwera JTS.
#
OLD_JTS_HOME=

# Parametr: -oldJTSContextRoot
# Składnia: -oldJTSContextRoot <katalog główny>
# Opis:
# 	Kontekstowy katalog główny produktu JTS dla serwera w wersji 2.x lub 3.0.x.
# Wartość domyślna:
# 	jazz
# Ograniczenia:
#  - akceptowany tylko dla aktualizacji produktu RM;
#  - <katalog główny> musi być poprawną nazwą pojedynczego katalogu (bez początkowego ukośnika itp.).
#
OLD_JTS_CONTEXT_ROOT=jazz

# Parametr: -updateTomcatFiles
# Składnia: -updateTomcatFiles <yes | no>
# Opis:
# 	Określa, czy mają być aktualizowane pliki konfiguracyjne serwera Tomcat.
# Wartość domyślna:
# 	yes
# Ograniczenia:
#  - jedyne poprawne wartości to yes i no.
#
UPDATE_TOMCAT_FILES=yes

# Parametr: -oldApplicationTomcatHome
# Składnia: -oldApplicationTomcatHome <ścieżka do katalogu>
# Opis:
# 	Pełna ścieżka do katalogu głównego Tomcat aplikacji w instalacji 2.x lub 3.0.x.
# Wartość domyślna:
# 	<brak>
# Ograniczenia:
#  - Akceptowany jedynie w przypadku aktualizacji aplikacji RM.
#  - Ścieżka musi wskazywać istniejący katalog.
#
OLD_TOMCAT_HOME=

# Parametr: -oldJTSTomcatHome
# Składnia: -oldJTSTomcatHome <ścieżka do katalogu>
# Opis:
# 	Pełna ścieżka do katalogu głównego Tomcat JTS w instalacji 2.x lub 3.0.x.
# Wartość domyślna:
# 	<brak>
# Ograniczenia:
#  - Akceptowany jedynie w przypadku aktualizacji aplikacji RM.
#  - Ścieżka musi wskazywać istniejący katalog.
#
OLD_JTS_TOMCAT_HOME=

# Parametr: -newApplicationHome
# Składnia: -newApplicationHome <ścieżka do katalogu>
# Opis:
# 	Ścieżka do katalogu głównego aplikacji w instalacji wersji 3.0.1.2.
# Wartość domyślna:
# 	conf
# Ograniczenia:
#  - Akceptowany tylko dla aktualizacji aplikacji RTC, QM i RM;
#  - Jeśli jest akceptowany, jest to parametr obowiązkowy.
#  - <ścieżka do katalogu> musi być ścieżką do istniejącego katalogu zakończoną łańcuchem server/conf,
#    na przykład /Jazz/IBM/RRC_3.0/JazzTeamServer/server/conf
#
NEW_APPLICATION_HOME="$START_DIR/conf"

# Parametr: -newJTSHome
# Składnia: -newJTSHome <ścieżka do katalogu>
# Opis:
# 	Pełna ścieżka do katalogu głównego JTS w instalacji 3.0.1.2.
# Wartość domyślna:
#  Nowy katalog główny aplikacji
# Ograniczenia:
#  - <ścieżka do katalogu> musi być ścieżką do istniejącego katalogu zakończoną łańcuchem server/conf.
#
NEW_JTS_HOME=

# Parametr: -newJTSContextRoot
# Składnia: -newJTSContextRoot <katalog główny>
# Opis:
# 	Kontekstowy katalog główny serwera JTS 3.0.1.2.
# Wartość domyślna:
# 	jts
# Ograniczenia:
#  - <katalog główny> musi być poprawną nazwą pojedynczego katalogu (bez początkowego ukośnika).
#
JTS_CONTEXT_ROOT=jts

# Parametr: -newApplicationTomcatHome
# Składnia: -newApplicationTomcatHome <ścieżka do katalogu>
# Opis:
# 	Ścieżka do katalogu głównego aplikacji Tomcat w instalacji 3.0.1.2.
# Wartość domyślna:
# 	<brak>
#
NEW_TOMCAT_HOME=

# Parametr: -newJTSTomcatHome
# Składnia: -newJTSTomcatHome <ścieżka do katalogu>
# Opis:
# 	Ścieżka do katalogu głównego JTS Tomcat w instalacji 3.0.1.2.
# Wartość domyślna:
# 	<brak>
#
NEW_JTS_TOMCAT_HOME=

# Parametr: -noPrompt
# Składnia: -noPrompt
# Opis:
# 	Nie wyświetlaj żadnych potwierdzeń (zawsze używaj wartości noPrompt) podczas wykonywania komend repotools.
# Wartość domyślna:
# 	<brak>
# Ograniczenia:
#  - Jedyne poprawne wartości to wartość pusta lub wartość noPrompt.
#
# NO_PROMPT=noPrompt
NO_PROMPT=

# Parametr: -overwrite
# Składnia: -overwrite
# Opis:
# 	Wymuszaj nadpisywanie (zawsze używaj wartości overwrite=yes) podczas wykonywania komend repotools.
# Wartość domyślna:
# 	<brak>
# Ograniczenia:
#  - Jedyne poprawne wartości to wartość pusta lub wartość overwrite=yes.
#
# OVERWRITE=overwrite=yes
OVERWRITE=

# Parametr: -noVerify
# Składnia: -noVerify
# Opis:
# 	Nie przeprowadzaj weryfikacji (zawsze używaj wartości noVerify) podczas wykonywania komend repotools.
# Wartość domyślna:
# 	<brak>
# Ograniczenia:
#  - Jedyne poprawne wartości to wartość pusta lub wartość noVerify.
#
# NO_VERIFY=noVerify
NO_VERIFY=

# Parametr: -importFromFile
# Składnia: -importFromFile <ścieżka do pliku>
# Opis:
# 	Zaimportuj zawartość pliku TAR do tabel bazy danych.
# Wartość domyślna:
# 	<brak>
# Ograniczenia:
#  - ścieżka musi wskazywać istniejący i poprawny plik.
#
IMPORT_FROM_FILE=

# Parametr: -noStepPrompt
# Składnia: -noStepPrompt
# Opis:
# 	Nie wyświetlaj podpowiedzi przed każdym krokiem aktualizacji.
# Wartość domyślna:
# 	false
# Ograniczenia:
#  - jedynymi poprawnymi wartościami są true i false.
#
# NO_STEP_PROMPT=true
NO_STEP_PROMPT=false

# Parametr: -jtsURL
# Składnia: -jtsURL <publiczny identyfikator URI serwera JTS>
# Opis:
# 	Publiczny identyfikator URI serwera JTS
# Wartość domyślna:
# 	<brak>
# Ograniczenia:
#  - Akceptowany tylko w przypadku aktualizacji aplikacji RM.
#  - Niezbędny tylko w przypadku wdrożenia rozproszonego, w którym serwer JTS działa na innej instancji serwera niż aplikacja RM.
#
JTS_PUBLIC_URL=